Developers
API ReferenceMessage Template

Retrieves a MessageTemplate resource

GET
/ticket/message-templates/{id}

Retrieves a MessageTemplate resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

MessageTemplate identifier

Response Body

MessageTemplate resource

  1. response
createdBy?|null
updatedBy?|null
createdAt?string
Formatdate-time
updatedAt?string
Formatdate-time
ticketFiles?array<>
id?string
Formatuuid
name?string
Lengthlength <= 100
content?string
Length1 <= length <= 100000
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/ticket/message-templates/string'
Example Response
{  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "updatedBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "ticketFiles": [    {      "createdBy": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "firstName": "string",        "lastName": "string",        "email": "string",        "pictureSm": "string",        "contractorName": "string",        "jobPositionName": "string"      },      "path": "string",      "previewImageUrl": "string",      "type": "ticket-message",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "displayedName": "string",      "extension": "string",      "size": 0,      "source": "internal",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "content": "string"}